<?php 
######DATENSCHUTZ-TOOL ##################
/*
::::    ::::  :::    :::   ::::::::::: ::::::::::: ::::::::  
+:+:+: :+:+:+ :+:    :+:       :+:         :+:    :+:    :+: 
+:+ +:+:+ +:+  +:+  +:+        +:+         +:+    +:+        
+#+  +:+  +#+   +#++:+         +#+         +#+    +#++:++#++ 
+#+       +#+  +#+  +#+        +#+         +#+           +#+ 
#+#       #+# #+#    #+#       #+#         #+#    #+#    #+# 
###       ### ###    ###   ###########     ###     ########  
*/
#		Autor: Max Schulte-Derne						#
#		Version: 1.0									#
#		Datum: Mai 2018									#
#########################################################

include ("config.php");
include ("mysql.inc.php"); ?>
<!doctype html>
<html>
<?php include ('head.php');?>

<body>

<?php
include ("nav.php");
switch($_GET['action']){
      
	  
//Tom bearbeiten
	  case 'audit';
	  if(empty($_POST)){
				  
		  if(empty($_GET['kunden_id'])){
			  echo "Kein Kunde ausgewählt ";exit(); /// STOP
			  $qry = qry("SELECT * FROM `kunden` WHERE `id` != '0'"); 							
				while($get = fetch($qry)){
					$kunden_option .= '<option  value="'.$get['id'].'">'.$get['name'].'</option>';
				}	
				echo '<select id="kunden_id" name="kunden_id"><option>Bitte wählen</option>
								'.$kunden_option.'</select>';

			  
		  }
         
		  $get_tom_kunden = fetch(qry("SELECT * FROM `tom_kunden` WHERE `kunden_id` = '".intval($_GET['kunden_id'])."' AND `frage_id` = '".intval($_GET['frage_id'])."'"));
	  			
				
			#if(!empty($get_tom_kunden)){
				
		  $get_tom_themenblockname = fetch(qry("SELECT tom_kunden.*, tom_themenblock.themenblock AS TB_Name, tom_kunden.themenblock_id AS TB_ID
									FROM tom_kunden 
									LEFT JOIN tom_themenblock 
									ON tom_kunden.themenblock_id = tom_themenblock.themenblock_id 
									WHERE tom_kunden.frage_id = '".intval($_GET['frage_id'])."' AND kunden_id = '".intval($_GET['kunden_id'])."'"));
		  
		 
			  $themenfrage_id = $get_tom_kunden['themenfrage_id'];
			  $tom_kunden_id = $get_tom_kunden['kunden_id'];
			  			  
			 $get_letzte_frage_id_vom_themenblock = fetch(qry("SELECT MAX(frage_id) FROM `tom_kunden` WHERE kunden_id = '".intval($_GET['kunden_id'])."' AND `themenblock_id` =  '".$get_tom_themenblockname['TB_ID']."'"));
			 $qry_vor =	 							fetch(qry("SELECT frage_id FROM `tom_kunden` WHERE kunden_id = '".intval($_GET['kunden_id'])."' AND `themenblock_id` =  '".$get_tom_themenblockname['TB_ID']."' AND `frage_id` > '".intval($_GET['frage_id'])."'"));
			 
			 #echo $get_letzte_frage_id_vom_themenblock['MAX(frage_id)'];
			 
			 
			 if($get_letzte_frage_id_vom_themenblock['MAX(frage_id)'] == $_GET['frage_id']){
				 $qry_vor =	 	fetch(qry("SELECT MIN(frage_id) FROM `tom_kunden` WHERE `kunden_id` = '".intval($_GET['kunden_id'])."' AND `themenblock_id` =  '".($get_tom_themenblockname['TB_ID'] + 1)."'"));
				 $vor = $qry_vor['MIN(frage_id)'];
				 
				 }else{ $vor = $qry_vor['frage_id'];}
			 
			//Fortschrittsbalken START
			$get_anzahl_fragen = fetch(qry("SELECT COUNT(frage_id) AS anzahl FROM `tom_kunden` WHERE kunden_id = '".intval($_GET['kunden_id'])."'  AND `status` != '4'"));
			 $get_anzahl_fragen_unfertig = fetch(qry("SELECT COUNT(frage_id) AS anzahl FROM `tom_kunden` WHERE kunden_id = '".intval($_GET['kunden_id'])."' AND `status` >= '5' "));
			 $laenge = round(100 / $get_anzahl_fragen['anzahl'] * ($get_anzahl_fragen['anzahl'] - $get_anzahl_fragen_unfertig['anzahl']),1);
			 
					 echo '<div class="fortschritt_rahmen">
					 			<p style="float:left">'.$get_anzahl_fragen['anzahl'].'</p>
					 			<p style="float:right">'.$get_anzahl_fragen_unfertig['anzahl'].'</p>
								<p>'.$laenge.'%</p>
								<span style="width:'.$laenge.'%"></span>
			 			
					</div><br>';
			//Fortschrittsbalken ENDE		

					// Dropdown zum Sprung auf die 1 Frage eines Themenblocks - START
				$qry_themenblock = qry("SELECT tom_kunden.themenblock_id AS Tom_Themenblock_id, MIN(tom_kunden.frage_id) AS Tom_frage_id, tom_themenblock.themenblock AS TB_Name 
							FROM tom_kunden 
							LEFT JOIN tom_themenblock 
							ON tom_kunden.themenblock_id = tom_themenblock.themenblock_id WHERE kunden_id = '".intval($_GET['kunden_id'])."' GROUP BY TB_Name");
							
							
				if(!empty($qry_themenblock)){
					while($get_themenblock = fetch($qry_themenblock)){
						$themenblock_option1 .= '<option value="'.$get_themenblock["Tom_frage_id"].'">'.$get_themenblock["TB_Name"].' - FrageID '.$get_themenblock["Tom_frage_id"].'</option>'."\n";
						$anzahl_fragen_themenblock++;
					}
				}
				
				echo '<br><form name="tom_tb_waehlen" action="'.$_SERVER['PHP_SELF'].'?action=audit&frage='.$get_themenblock["Tom_Themenfrage_id"].'&kunden_id='.$_GET['kunden_id'].'" method="get">';
				echo '<input type="hidden" name="action" value="audit">';
				echo '<input type="hidden" name="kunden_id" value="'.$_GET['kunden_id'].'">';
				echo 'Springe zu Tom Themenblock <select id="frage_id" name="frage_id" onchange="tom_tb_waehlen.submit()"><option>Bitte wählen</option>
								'.$themenblock_option1.'</select>';
				echo '</form><br>';
		
			
			// Dropdown zum Sprung auf die 1 Frage eines Themenblocks - ENDE


		
//Dokumente des Kunden		
        $qry_k = qry("SELECT * FROM `dokumente` WHERE `kunden_id` = ".$_GET['kunden_id']." AND `zuordnung_tom_frage` = ".$_GET['frage_id']); 
        while($get_k = fetch($qry_k))
        {
          $class = ($color % 2) ? "first" : "second"; $color++;
          $dateiname_dl_k = '<a href="uploads/user/'.$get_k['kunden_id'].'/tom/'.$get_k['zuordnung_tom_frage'].'/'.$get_k['dateiname'].'">'.$get_k['dateiname'].'</a>';
          $dokumente_k .= '<tr class="'.$class.' hover" '.($color>1000?' style="display:none"':'').'>
              <td class="nowrap">'.date("d.m.y H:i", $get_k['datum']).' Uhr</td><td class="nowrap">'.$dateiname_dl_k.'</td>
            </tr>
          ';
		  
        }
	echo '<h2>Kundendokumente -- <a href="'.$baseURL.'/tom_kunden.php?action=dokumente&frage_id='.$_GET['frage_id'].'&kunden_id='.$_GET['kunden_id'].'" target="_self">hinzufügen</a></h2>';
 ?>       
  
        <table class="hperc" cellspacing="1" id="users" style="width:500px">
          <tr class="kat">
            <td class="tiny">Angelgt am</td>
            <td>Name</td>
          </tr>
          <?=$dokumente_k?>
        </table>

	<?php

//Dokumente der Tom		
        $qry_t = qry("SELECT * FROM `dokumente` WHERE `zuordnung` = '0' AND `zuordnung_tom_frage` = ".$_GET['frage_id']); 
        while($get_t = fetch($qry_t))
        {
          $class = ($color % 2) ? "first" : "second"; $color++;
   
          $dateiname_dl_t = '<a href="uploads/tom_vorlagen/'.$get_t['zuordnung_tom_frage'].'/'.$get_t['dateiname'].'">'.$get_t['dateiname'].'</a>';
          $dokumente_t .= '
		  <tr class="'.$class.' hover" '.($color>1000?' style="display:none"':'').'>
          	<td class="nowrap">'.date("d.m.y H:i", $get_t['datum']).' Uhr</td>
			<td class="nowrap">'.$dateiname_dl_t.'</td>
          </tr>
          ';
		  
        }
?>
        <br><h2>Vorlagen </h2> 
        <table class="hperc" cellspacing="1" id="users" style="width:500px">
          <tr class="kat">
            <td class="tiny">Angelgt am</td>
            <td>Name</td>
          </tr>
          <?=$dokumente_t?>
        </table>

			<?php
				switch($get_tom_kunden['status']){
					
					case 1: $status_farbe = "red"; break;
					case 2: $status_farbe = "orange"; break;
					case 3: $status_farbe = "green"; break;
					case 4: $status_farbe = "gray"; break;
					case 5: $status_farbe = "yellow"; break;
					case 6: $status_farbe = ""; break;
					default: break;
					
					}
					
					
	   echo '<form action="tom_kunden.php?action=audit&amp;frage_id='.$get_tom_kunden['frage_id'].'&amp;kunden_id='.$_GET['kunden_id'].'" method="post" >
				
					<br><p style="background: '.$status_farbe.'">Frage ID: '.$get_tom_kunden['frage_id'].' | Themenblock: '.$get_tom_themenblockname['TB_Name'].' Frage Nr: '.$get_tom_kunden['themenfrage_id'].'</p><br>
					<!--<a href="tom_kunden.php?action=audit&amp;frage_id='.$zurueck.'&amp;kunden_id='.intval($_GET['kunden_id']).'"><b>< zurück</b></a>-->
					'.$get_tom_kunden['frage_id'].' 
					<a href="tom_kunden.php?action=audit&amp;frage_id='.$vor.'&amp;kunden_id='.intval($_GET['kunden_id']).'"><b> weiter ></b></a>
					<input type="hidden" name="vor" value="'.$vor.'"
					<br><br>
				<fieldset>
				<legend>Frage/ Maßnahme:</legend>					
		   		   <textarea name="frage" cols="150" rows="10" style="width: 751px; height: 120px;">'.$get_tom_kunden['frage'].'</textarea>
			   </fieldset><br>
			   <fieldset>
					<legend>Bemerkung Begründung:</legend>					
					   <textarea name="bemerkung_begruendung" cols="150" rows="10" style="width: 751px; height: 120px;">'.$get_tom_kunden['bemerkung_begruendung'].'</textarea>
			   </fieldset><br>
					<fieldset>
				<legend>Empfehlung:</legend>
		   		   <textarea name="empfehlung" cols="150" rows="10" style="width: 751px; height: 60px;">'.$get_tom_kunden['empfehlung'].'</textarea>
		  		</fieldset>
				<br>
				<fieldset>
				<legend>Status:</legend>
					'.radioButton('
				  <label><input type="radio" name="status" value="1" >(1) nicht erfüllt / fehlt - KRITISCH</label><br>
				  <label><input type="radio" name="status" value="2" >(2) nicht erfüllt / fehlt</label><br>
				  <label><input type="radio" name="status" value="3" >(3) erfüllt / ausreichend</label><br>
				  <label><input type="radio" name="status" value="4" >(4) nicht zutreffend</label><br>
				  <label><input type="radio" name="status" value="5" >(5) prüfen</label><br>
				  <label><input type="radio" name="status" value="6" >(6) unbearbeitet</label><br>', $get_tom_kunden['status']).'
				  </fieldset>
				<br>
				<button type="submit"> Update der Frage </button>
				<br><br>
					<!--<a href="tom_kunden.php?action=audit&amp;frage_id='.$zurueck.'&amp;kunden_id='.intval($_GET['kunden_id']).'"><b>< zurück</b></a>-->
					'.$get_tom_kunden['frage_id'].' 
					<a href="tom_kunden.php?action=audit&amp;frage_id='.$vor.'&amp;kunden_id='.intval($_GET['kunden_id']).'"><b> weiter ></b></a>

			</form>';
		#  } echo "Frage ID existiert nicht!";//if rows 
		  
		}else{
			
					$vor = $_POST['vor'];
			
				qry("UPDATE `tom_kunden`
					SET 
					`frage`						= '".$_POST['frage']."',
					`empfehlung`				= '".$_POST['empfehlung']."',
					`bemerkung_begruendung`		= '".$_POST['bemerkung_begruendung']."',
					`status`					= '".$_POST['status']."',
					`geaendert`					= '".time()."'
					WHERE `kunden_id` = '".intval($_GET['kunden_id'])."' AND `frage_id` = '".intval($_GET['frage_id'])."' ");
					if($_POST['status'] == 4){
						header('Location: '.$baseURL.'/tom_kunden.php?action=audit&frage_id='.$vor.'&kunden_id='.intval($_GET['kunden_id']).'&note=up4');
						}else{
						header('Location: '.$baseURL.'/tom_kunden.php?action=audit&frage_id='.intval($_GET['frage_id']).'&kunden_id='.intval($_GET['kunden_id']).'&note=up');
							}
				
			}
			

	  break;
	  
//Dokumente verwalten 
	  case 'dokumente';
	  	  
		  if(empty($_POST)){
			
			
			  if($_GET['dateiloeschen'] == 1 && !empty($_GET['frage_id'])){
		  
					  unlink('uploads/user/'.$_GET['kunden_id'].'/tom/'.$_GET['frage_id'].'/'.$_GET['datei_name']);
					  qry("DELETE FROM `dokumente` WHERE `id` = '".intval($_GET['datei_id'])."'");
						header('Location: '.$baseURL.'/tom_kunden.php?action=dokumente&frage_id='.$_GET['frage_id'].'&kunden_id='.$_GET['kunden_id'].'');
			  }
					  
				if(empty($_GET['frage_id'])){
					echo "Keine Frage gewählt";				
				}	  
				
				if(!empty($_GET['frage_id'])){
					$get = fetch(qry("SELECT tom_kunden.*, tom_themenblock.themenblock AS TB_Name 
							FROM tom_kunden 
							LEFT JOIN tom_themenblock 
							ON tom_kunden.themenblock_id = tom_themenblock.themenblock_id 
							WHERE kunden_id = '".intval($_GET['kunden_id'])."' AND `frage_id` = '".intval($_GET['frage_id'])."'"));
	  		
					
					$themenblock_option .= '<option value="'.$_GET['frage_id'].'">('.$_GET['frage_id'].') - '.$get["TB_Name"].' - ('.$get["themenfrage_id"].') '.$get["frage"].'</option>'."\n";
				}
				
				
				
			if(!empty($_GET['frage_id'])){
				echo '<h1>Datei zum Kunden hinzufügen</h1>
						<br>
					 <a href="tom_kunden.php?action=audit&frage_id='.$_GET['frage_id'].'&kunden_id='.$_GET['kunden_id'].'">Zurück zur Frage</a>
					 	<br><br>
				<form action="tom_kunden.php?action=dokumente&amp;kunden_id='.$_GET['kunden_id'].'&frage_id='.$_GET['frage_id'].'" method="post" enctype="multipart/form-data" >
				   <label for="beschreibung">Beschreibung: </label><input type="text" name="beschreibung"><br><br>
				   <label for="dateiprefix">Deteiprefix: XXX_dateiname.endung </label><input type="text" name="dateiprefix"><br><br>
				   <select name="zuordnung_tom_frage">'.$themenblock_option.'</select><br><br>
				   <input name="datei" type="file" size="50" accept="/*" required><br><br>
				   <input type="submit" value="Hochladen..">
			   </form> Maximaler Upload: ';echo  ini_get('upload_max_filesize').'<br><br>'; 
			}


/*echo 'Einfacher Abruf der Dateinen des Kunden aus dem Verzeichnis ohne Datenbankinfos<br><br>';
				
				$pfad_uploads = "uploads/user/".intval($_GET['kunden_id'])."/*";
				$files = glob($pfad_uploads);
				foreach($files as $f) {echo '<a href="'.$f.'">'.$f.'</a> -- <a href="'.$f.'">'.$f.'</a><br />';}
	   
	   				
				echo '<br /><br />Hier kommt der Abruf der Daten aus der Datenbank';*/
				
				
				$maxEntrys = 10;
				$site = empty($_GET['seite']) ? 1 : intval($_GET['seite']);
				$sort = empty($_GET['sort']) ? 1 : ($_GET['sort']); 
				$maxEntrys = empty($_GET['maxEntrys']) ? 20 : intval($_GET['maxEntrys']);
	  
	    $entrys = cnt("`dokumente`", "WHERE `id` != '0' AND `kunden_id` = '".intval($_GET['kunden_id'])."'"); 
        $qry = qry("SELECT * FROM `dokumente` WHERE `kunden_id` = '".intval($_GET['kunden_id'])."' ORDER BY ID DESC, ".$sort." ASC LIMIT ".($site-1)*$maxEntrys.",".$maxEntrys); 
        while($get = fetch($qry))
        {
          $class = ($color % 2) ? "first" : "second"; $color++;
          
          $delete = '<a href="'.$baseURL.'/tom_kunden.php?action=dokumente&dateiloeschen=1&datei_id='.$get['id'].'&datei_name='.$get['dateiname'].'&frage_id='.$get['zuordnung_tom_frage'].'&kunden_id='.intval($_GET['kunden_id']).' "onclick="return(del(\'Soll die Datei wirklich gel&ouml;scht werden?\'))"> l&ouml;schen</a>';
          
          $dokumente .= '
            <tr class="'.$class.' hover" '.($color>1000?' style="display:none"':'').'>
              <td class="nowrap">'.date("d.m.y H:i", $get['datum']).' Uhr</td>
              <td class="nowrap">'.$get['dateiname'].'</td>
              <td class="nowrap">'.$get['zuordnung_tom_frage'].'</a></td>
             <td class="tiny center">'.$delete.'</td>
            </tr>
          ';
		  
        }
?>
        <h1>TOM-Dokumente des Kunden [<?=cnt("`dokumente`", "WHERE `id` != '0' AND `kunden_id` = '".intval($_GET['kunden_id'])."'")   ?>]  </h1> <br>
        <table class="hperc" cellspacing="1" id="users">
          <tr class="kat">
            <td class="tiny">Angelgt am</a></td>
            <td>Name</a></td>
            <td class="tiny">TOM-Frage ID</a></td>
            <td class="tiny" colspan="6">Aktionen</td>
          </tr>
          <?=$dokumente?>
        </table>

          
        <div style="margin-top:5px;margin-left:-6px"><?=siteNavi($entrys,$maxEntrys, '', $site)?></div>
        
     <?php
			}else{
				
				
			  //upload datei
			  
			  
			  		$kunden_id = intval($_GET['kunden_id']);
					$frage_id = $_GET['frage_id'];
			  		$dateiprefix = ($_POST['dateiprefix'] == "") ? "" : $_POST['dateiprefix']."_";
			  		
					
				  if(!empty($_FILES['datei'])){
					mkdir('uploads/user/'.$kunden_id.'/tom/'.$frage_id, 0777, true);
					chmod('uploads/user/'.$kunden_id.'/tom/'.$frage_id, 0777);
					$path = 'uploads/user/'.$kunden_id.'/tom/'.$frage_id.'/'.$dateiprefix;
					$path = $path . basename( $_FILES['datei']['name']);
					if(move_uploaded_file($_FILES['datei']['tmp_name'], $path)) {
					  echo "Die Datei ".  basename( $_FILES['datei']['name']). " wurde hochgeladen";
					
					header('Location: '.$baseURL.'/tom_kunden.php?action=audit&frage_id='.$frage_id.'&kunden_id='.$kunden_id.'');
						
						
						
						qry("INSERT INTO `dokumente`
      	         SET   `kunden_id`				= '".intval($_GET['kunden_id'])."',
					   `beschreibung`			= '".$_POST['beschreibung']."',
					   `zuordnung`				= '1',
					   `datum`					= '".time()."',
					   `zuordnung_tom_frage`	= '".$_POST['zuordnung_tom_frage']."',
					   `dateiname`				= '".$dateiprefix.basename( $_FILES['datei']['name'])."'");
						
						
						
					} else{
						echo "Es ist ein Fehler aufgetreten, versuches es nochmal!";
						
					}
				}
				
				  
			 }
			    
			  
			  
			  
			  
			  
	  break;
	  
	  


 	case 'audit_auswertung';
 
//AUSWERTUNG TOM
	
		// Erste Seite
		ersteseite('Technisch organisatorische Maßnahmen (bearbeitet / relevant)');
		echo '
        <style>
		  @media screen{
		  	tr.head td, tr.kat td, tr.first td, tr.second td, tr.bottom td {
			  padding: 5px 5px 15px 15px;
			  }

		  }
		  </style>
		  
		  
		  ';
// Erste Seite ENDE

//Zweite Seite Auswertung

				echo '<div class="felder_outer">';
				echo '<div class="felder_inner">';
					echo '<div class="print_themenblock_name_S2"> </div>';
					echo '<div class="feld_oben"> </div>';
					echo '<div class="feld_oben">gesamt</div>';	
					echo '<div class="feld_oben">kritisch</div>';
					echo '<div class="feld_oben">fehlt</div>';
					echo '<div class="feld_oben">erfüllt</div>';
					echo '<div class="feld_oben">n.z.</div>';
					echo '<div class="feld_oben">prüfen</div>';
					echo '<div class="feld_oben">unbearbeitet</div>';
					
					echo '</div>';
				
			$get_themenbock_name_S2 = qry("SELECT * FROM `tom_themenblock` ORDER BY `themenblock_id` ASC");
			
			$dasfettearray_gesamt = array(0,0,0,0,0,0);
			
			while($get_t_name_S2 = fetch($get_themenbock_name_S2)){
				
				$qry_S2 = qry("SELECT COUNT(*) as anzahl, status, themenblock_id FROM `tom_kunden` WHERE `kunden_id` = '".$_GET['kunden_id']."' AND themenblock_id = '".$get_t_name_S2['themenblock_id']."' GROUP by status order by status ASC ");
				
				$qry_alle_tom_kunden = qry("SELECT * FROM `tom_kunden` WHERE `themenblock_id` = '".$get_t_name_S2['themenblock_id']."' AND `kunden_id` = '".$_GET['kunden_id']."'");
				
				$dasfettearray = array(0,0,0,0,0,0);
				
				while($get_S2 = fetch($qry_S2)){
						if($get_S2['status'] != '6'){
							$dasfettearray[$get_S2['status']] = $get_S2['anzahl'];
							$dasfettearray_gesamt[$get_S2['status']] = $get_S2['anzahl'] + $dasfettearray_gesamt[$get_S2['status']];
						}
				}
				
				$dasfettearray['6'] = rows($qry_alle_tom_kunden) - array_sum($dasfettearray); 
				$prozentwert = (100 - round($dasfettearray['6'] / rows($qry_alle_tom_kunden) * 100, 0));

				
				if(rows($qry_S2)){
					echo '<div class="felder_inner">';
					echo '<div class="print_themenblock_name_S2">'.$get_t_name_S2['themenblock'].'</div>';
					echo '<div class="feld_prozenz">'.$prozentwert.'%</div>';
					echo '<div class="feld_vorlagen">'.rows($qry_alle_tom_kunden).'</div>';	
							
							
							if($dasfettearray['1'] >= 1){$hintergrund1 = 'feld_bg1';}
							if($dasfettearray['2'] >= 1){$hintergrund2 = 'feld_bg2';}
							if($dasfettearray['3'] >= 1){$hintergrund3 = 'feld_bg3';}
							if($dasfettearray['4'] >= 1){$hintergrund4 = 'feld_bg4';}
							if($dasfettearray['5'] >= 1){$hintergrund5 = 'feld_bg5';}
							if($dasfettearray['6'] >= 1){$hintergrund6 = 'feld_bg6';}
						
											
						echo '<div class="feld '.$hintergrund1.'">'.$dasfettearray['1'].'</div>';
						echo '<div class="feld '.$hintergrund2.'">'.$dasfettearray['2'].'</div>';
						echo '<div class="feld '.$hintergrund3.'">'.$dasfettearray['3'].'</div>';
						echo '<div class="feld '.$hintergrund4.'">'.$dasfettearray['4'].'</div>';
						echo '<div class="feld '.$hintergrund5.'">'.$dasfettearray['5'].'</div>';
						echo '<div class="feld '.$hintergrund6.'">'.$dasfettearray['6'].'</div>';
					
					$hintergrund1 = '';
					$hintergrund2 = '';
					$hintergrund3 = '';
					$hintergrund4 = '';
					$hintergrund5 = '';
					$hintergrund6 = '';
					
					
					echo '</div>';
					$dasfettearray_gesamt['6'] = $dasfettearray_gesamt['6'] + $dasfettearray['6'];
					$alle_vorlagen_tom_kunden = rows($qry_alle_tom_kunden) + $alle_vorlagen_tom_kunden;
					$prozentwert_gesamt = (100 - round($dasfettearray_gesamt['6'] / $alle_vorlagen_tom_kunden * 100, 0));
				}
					
			}
			
			
			echo '<div class="felder_inner">';
					echo '<div class="print_themenblock_name_S2">Fragen Gesamt</div>';
					echo '<div class="feld_prozenz">'.$prozentwert_gesamt.'%</div>';
					echo '<div class="feld_vorlagen">'.$alle_vorlagen_tom_kunden.'</div>';	
					
						echo '<div class="feld">'.$dasfettearray_gesamt['1'].'</div>';
						echo '<div class="feld">'.$dasfettearray_gesamt['2'].'</div>';
						echo '<div class="feld">'.$dasfettearray_gesamt['3'].'</div>';
						echo '<div class="feld">'.$dasfettearray_gesamt['4'].'</div>';
						echo '<div class="feld">'.$dasfettearray_gesamt['5'].'</div>';
						echo '<div class="feld">'.$dasfettearray_gesamt['6'].'</div>';
					
					
					
					
					echo '</div>'; 
			
			echo '</div>';
//Zweite Seite Auswertung ENDE
					
		
//Auswertung Fragen Teil 1
		$get_themenbock_name = qry("SELECT * FROM `tom_themenblock` ORDER BY `themenblock_id` ASC");
		while($get_t_name = fetch($get_themenbock_name)){
			 
			
			
		$qry = qry("SELECT * FROM `tom_kunden` WHERE `kunden_id` = '".$_GET['kunden_id']."' AND `themenblock_id` = '".$get_t_name['themenblock_id']."' AND `status` != '4' AND `status` != '6' ORDER BY `frage_id` ASC"); 
		
		if(rows($qry)){
									
			while($get = fetch($qry)){
			  $class = ($color % 2) ? "first" : "second"; $color++;
		  
				  switch($get['status']){
						case 1: $p_bg = "p_bg1"; break;
						case 2: $p_bg = "p_bg2"; break;
						case 3: $p_bg = "p_bg3"; break;
						case 4: $p_bg = "p_bg4"; break;
						case 5: $p_bg = "p_bg5"; break;
						case 6: $p_bg = ""; break;
						default: break;
						}
			  
			  $auswerung .= '
			  
			  
				<tr class="'.$class.'">
					  <td width="500px"><p class="'.$p_bg.'"></p>'.nl2br($get['frage']).'</td>
					  <td width="300px">'.nl2br($get['bemerkung_begruendung']).'</td>
					  <td width="500px">'.nl2br($get['empfehlung']).'</td>
				</tr>
				  ';
			}
		echo '<div class="print_themenblock_name"> '.$get_t_name['themenblock'].' </div>
			 <table class="hperc" cellspacing="1" style="table-layout:fixed;">
          <tr class="kat">
                <td width="500px">Maßnahme</td>
                <td width="300px">Bermerkung</td>
                <td width="500px">Empfehlung</td> 
            </tr>';
		echo $auswerung.'</table>';$auswerung = '';
		}
}
//Auswertung Fragen Teil 1 ENDE

//Auswertung Fragen Teil 2
// Erste Seite
		
		$get_zugehoerigkeit = fetch(qry("SELECT zugehoerigkeit, name, firma, adresse FROM `kunden` WHERE `id` = '".$_GET['kunden_id']."'"));
		$zugehoerigkeit = ($get_zugehoerigkeit['zugehoerigkeit'] == 1 ) ? $zugehoerigkeit_array['1'] : $zugehoerigkeit_array['2'];
		echo '<div class="ersteseite teil2"><center>
		<h1>Technisch organisatorische Maßnahmen (bearbeitet /nicht relevant)
		<br>
		<br><br><br>
		'.$get_zugehoerigkeit['firma'].'
		<br>
		Ansprechpartner: '.$get_zugehoerigkeit['name'].'
		<br>
		'.$get_zugehoerigkeit['adresse'].'</h1>
		
		</center>
		<br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br>
		
		
		<div class="zugehoerigkeit">'.$zugehoerigkeit.'</div>
		
       <div>
	   
	   <style>
		  @media screen{
		  	tr.head td, tr.kat td, tr.first td, tr.second td, tr.bottom td {
			  padding: 5px 5px 15px 15px;
			  }

		  }
		  </style> ';



		$get_themenbock_name = qry("SELECT * FROM `tom_themenblock` ORDER BY `themenblock_id` ASC");
		while($get_t_name = fetch($get_themenbock_name)){
			 
			
			
		$qry = qry("SELECT * FROM `tom_kunden` WHERE `kunden_id` = '".$_GET['kunden_id']."' AND `themenblock_id` = '".$get_t_name['themenblock_id']."' AND (`status` = '4' OR `status` = '6') ORDER BY `frage_id` ASC"); 
		
		if(rows($qry)){
									
			while($get = fetch($qry)){
			  $class = ($color % 2) ? "first" : "second"; $color++;
			  
			   switch($get['status']){
						case 1: $p_bg = "p_bg1"; break;
						case 2: $p_bg = "p_bg2"; break;
						case 3: $p_bg = "p_bg3"; break;
						case 4: $p_bg = "p_bg4"; break;
						case 5: $p_bg = "p_bg5"; break;
						case 6: $p_bg = ""; break;
						default: break;
						}
			  
			  
					  
			  $auswerung .= '
			  
			  
				<tr class="'.$class.'"> 
					  <td width="500px"><p class="'.$p_bg.'"></p>'.nl2br($get['frage']).'</p></td>
					  <td width="300px">'.nl2br($get['bemerkung_begruendung']).'</td>
					  <td width="500px">'.nl2br($get['empfehlung']).'</td>
				</tr>
				  ';
			}
		echo '<div class="print_themenblock_name"> '.$get_t_name['themenblock'].' </div>
			 <table class="hperc" cellspacing="1" style="table-layout: fixed;" >
          <tr class="kat">
                <td width="500px">Maßnahme</td>
                <td width="300px">Bermerkung</td>
                <td width="500px">Empfehlung</td>
            </tr>';
		echo $auswerung.'</table>';$auswerung = '';
		}
}
//Auswertung Fragen Teil 2 ENDE
		

break;



//alles False, dann Tabelle anzeigen
 	  default;
	   $maxEntrys = 10;
				$site = empty($_GET['seite']) ? 1 : intval($_GET['seite']);
				$sort = empty($_GET['sort']) ? 1 : ($_GET['sort']); 
				$maxEntrys = empty($_GET['maxEntrys']) ? 1000 : intval($_GET['maxEntrys']);
				
	  
	    $entrys = cnt("`tom_vorlagen`", "WHERE `id` != '0'"); 
        $qry = qry("SELECT * FROM `tom_vorlagen` WHERE `id` != '0' ORDER BY ID DESC, ".$sort." ASC LIMIT ".($site-1)*$maxEntrys.",".$maxEntrys); 
        while($get = fetch($qry))
        {
          $class = ($color % 2) ? "first" : "second"; $color++;
          
          $delete = '<a href="'.$baseURL.'/tom.php?action=delete&amp;id='.$get['id'].'" onclick="return(del(\'Soll die Frage '.$get['id'].' wirklich gel&ouml;scht werden?\'))"> l&ouml;schen</a>';
          
          $fragen .= '
            <tr class="'.$class.' hover" title="letzte Änderung '.(date("d.m.y", $get['geaendert']) == date("d.m.y") ? 'heute' : 'am '.date("d.m.y", $get['geaendert'])).' um '.date("H:i", $get['geaendert']).'h"'.($color>1000?' style="display:none"':'').'>
              <td class="nowrap">'.date("d.m.y H:i", $get['angelegt']).' Uhr</td>
              <td class="nowrap">'.$get['themenblock'].'</td>
              <td class="nowrap">'.$get['frage'].'</td>
              <td class="tiny center"><a href="'.$baseURL.'/tom.php?action=dokumente&amp;id='.$get['id'].'">Dokumente</a></td>
              <td class="tiny center"><a href="'.$baseURL.'/tom.php?action=edit&amp;id='.$get['id'].'">'.$name.' editieren</a></td>
              <td class="tiny center">'.$delete.'</td>
            </tr>
          ';
        }
?>

<h1>Fragenkatalog [<?=cnt("`tom_vorlagen`", "WHERE `id` != '0'")   ?>]  <a href="<?=$baseURL?>/tom.php?action=anlegen">Frage anlegen</a></h1> 
        <table class="hperc" cellspacing="1" id="users">
          <tr class="kat">
            <td class="tiny"><a href="<?=$baseURL?>/user.php?sort=angelegt">Angelgt am</a></td>
            <td><a href="<?=$baseURL?>/tom.php?sort=themenblock">Themenblock</a></td>
            <td class="tiny"><a href="<?=$baseURL?>/user.php?sort=email">Frage</a></td>
            <td class="tiny" colspan="6">Aktionen</td>
          </tr>
          <?=$fragen?>
        </table>
          
        <div style="margin-top:5px;margin-left:-6px"><?=siteNavi($entrys,$maxEntrys, '', $site)?></div>
<?
      break;
  }
?>

</body>
</html>
